package edu.kit.ipd.milton.functions;

/**
 * Absolute function taking another function and returning it's absolute value
 * 
 * @author aenglhardt
 *
 */
public class AbsFunction implements Function {

	private final Function f;

	public AbsFunction(Function f) {
		this.f = f;
	}

	@Override
	public double calc(double x) {
		return f.calc(Math.abs(x));
	}
}
