package edu.kit.ipd.milton.functions;

/**
 * Linear function a * x + b
 * 
 * @author aenglhardt
 *
 */
public class LinearFunction implements Function {

	private final double a;
	private final double b;

	public LinearFunction(double a, double b) {
		this.a = a;
		this.b = b;
	}

	@Override
	public double calc(double x) {
		return a * x + b;
	}
}
