package edu.kit.ipd.milton.functions;

/**
 * Polynom function a * x^d + b
 * 
 * @author aenglhardt
 *
 */
public class PolynomFunction implements Function {

	private final double a;
	private final double d;
	private final double b;

	public PolynomFunction(double a, double d, double b) {
		this.a = a;
		this.d = d;
		this.b = b;
	}

	@Override
	public double calc(double x) {
		return a * Math.pow(x, d) + b;
	}

}
