package edu.kit.ipd.milton.algorithms;

public interface Anonymization {

	/**
	 * Anonymize a time series with a given parameter
	 * 
	 * @param usage
	 * @param param
	 * @return anonymized time series
	 */
	double[] anonymize(double[] usage, double param);

	/**
	 * 
	 * @return token for export
	 */
	String getToken();
}
