package edu.kit.ipd.milton.events;

import java.util.List;

import edu.kit.ipd.milton.measure.Error;

/**
 * 
 * @author aenglhardt
 *
 */
public interface Event extends Cloneable {

	EventType getType();

	@Override
	String toString();

	double visitError(Error e);

	double visitError(Error e, Event other);

	double calcDistance(Event other);

	List<Event> cloneEventList(List<Event> list);

	Event clone();

}
