package edu.kit.ipd.milton.measure;

import edu.kit.ipd.milton.events.AssociatedEventCollection;
import edu.kit.ipd.milton.events.Change;
import edu.kit.ipd.milton.events.Pattern;

/**
 * Interface for errors with a given {@link AssociatedEventCollection}
 * 
 * @author aenglhardt
 *
 */
public interface Error {

	double calcError(AssociatedEventCollection changes);

	double calcSingularError(Change c);

	double calcSingularError(Pattern p);

	double calcPairedError(Change a, Change b);

	double calcPairedError(Pattern a, Pattern b);

}
