package edu.kit.ipd.milton.util;

/**
 * 
 * @author aenglhardt
 *
 */
public class Tuple<T> {

	private final T a;
	private final T b;

	public Tuple(T a, T b) {
		this.a = a;
		this.b = b;
	}

	public final T getA() {
		return a;
	}

	public final T getB() {
		return b;
	}

	@Override
	public String toString() {
		return "(" + a + ", " + b + ")";
	}

}
